## opensips-3.6.2-1.src.tar.gz

=== modules/aaa_radius/Makefile ===
#
# radius module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=aaa_radius.so

ETC_DIR?=../../etc/

# Find the radius library we shall use
#
ifeq ($(RADIUSCLIENT),)
RADIUSCLIENT := $(shell if [ -n "`ldconfig -p | grep radcli`" ]; then echo "RADCLI"; \
	elif [ -n "`ldconfig -p | grep freeradius`" ]; then echo "FREERADIUS"; \
	elif [ -n "`ldconfig -p | grep radiusclient-ng`" ];then echo "RADIUSCLIENT"; fi)
endif


ifneq ($(RADIUSCLIENT), RADCLI)
ifneq ($(RADIUSCLIENT), FREERADIUS)
ifeq ($(RADIUSCLIENT), RADIUSCLIENT)
	DEFS+= -DRADIUSCLIENT
	RADIUS_LIB=-lradiusclient-ng
	RADIUS_PACKET=libradiusclient-ng-dev
endif
else
	DEFS+= -DFREERADIUS
	RADIUS_LIB=-lfreeradius-client
	RADIUS_PACKET=libfreeradius-client2
endif
else
	DEFS+= -DRADCLI
	RADIUS_LIB=-lradcli
	RADIUS_PACKET=libradcli
endif

ifeq ($(CROSS_COMPILE),)
	BUILDER := $(shell if pkg-config --exists $(RADIUS_PACKET); then \
		echo "pkg-config $(RADIUS_PACKET)"; \
	fi)
else
	DEFS+=-I$(LOCALBASE)/include
	LIBS+=-L$(LOCALBASE)/lib $(RADIUS_LIB)
endif

ifneq ($(BUILDER),)
	DEFS+= $(shell $(BULDER) --cflags)
	LIBS+= $(shell $(BULDER) --libs)
else
ifeq ($(CROSS_COMPILE),)
	## we didn't find the packet with pkg-config
	## last chance try it without knowing lib path
	LIBS+= $(RADIUS_LIB)
endif
endif


# Comment the next two line and uncomment the following two if you want
# to enable Radius support

include ../../Makefile.modules

install_module_custom: $(cfg_prefix)/$(cfg_dir)
	$(INSTALL_TOUCH) \
		$(cfg_prefix)/$(cfg_dir)/dictionary.opensips.sample ; \
	$(INSTALL_CFG) $(ETC_DIR)/dictionary.opensips \
		$(cfg_prefix)/$(cfg_dir)/dictionary.opensips.sample ; \
	if [ ! -f $(cfg_prefix)/$(cfg_dir)/dictionary.opensips ]; then \
		mv -f $(cfg_prefix)/$(cfg_dir)/dictionary.opensips.sample \
			$(cfg_prefix)/$(cfg_dir)/dictionary.opensips; \
	fi; \

=== modules/cachedb_mongodb/Makefile ===
#
# MongoDB C client
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=cachedb_mongodb.so

include ../../lib/json/Makefile.json
ifeq ($(CROSS_COMPILE),)
MONGOC_BUILDER := $(shell \
	if pkg-config --exists libmongoc-1.0; then \
		echo 'pkg-config libmongoc-1.0'; \
	fi)
endif

ifeq ($(MONGOC_BUILDER),)

include ../../Makefile.openssl

	DEFS += -I$(SYSBASE)/include/libmongoc-1.0 -I$(SYSBASE)/include/libbson-1.0
	LIBS += -L$(LOCALBASE)/lib -lrt -lmongoc-1.0 -lbson-1.0
	LIBS += -dl -Bsymbolic
else
	DEFS += $(shell $(MONGOC_BUILDER) --cflags)
	LIBS += $(shell $(MONGOC_BUILDER) --libs)
	LIBS += -dl -Bsymbolic
endif

include ../../Makefile.modules

=== modules/cachedb_redis/Makefile ===
# $Id: Makefile 6253 2009-10-12 19:00:53Z bogdan_iancu $
#
# Presence Agent
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=cachedb_redis.so

HAVE_REDIS_SSL := $(shell if [ -n "`ldconfig -p | grep hiredis_ssl`" ]; \
	then echo "HAVE_REDIS_SSL"; fi)
ifeq ($(HAVE_REDIS_SSL), HAVE_REDIS_SSL)

include ../../Makefile.openssl

	LIBS += -lhiredis_ssl
	DEFS += -DHAVE_REDIS_SSL
endif

ifeq ($(CROSS_COMPILE),)
LIBS += -lhiredis
else
DEFS+=-I$(LOCALBASE)/include
LIBS += -L$(LOCALBASE)/lib -lhiredis
endif

include ../../Makefile.modules

=== modules/carrierroute/Makefile ===
# carrierroute Makefile
#
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=carrierroute.so

ifeq ($(CROSS_COMPILE),)
CONFUSE_BUILDER := $(shell \
	if which confuse-config >/dev/null 2>/dev/null;then \
		echo 'confuse-config'; \
	elif pkg-config --exists libconfuse; then \
		echo 'pkg-config libconfuse'; \
	fi)
endif

ifeq ($(CONFUSE_BUILDER),)
	DEFS += -I$(LOCALBASE)/include
	LIBS += -L$(LOCALBASE)/lib -lconfuse
else
	DEFS += $(shell $(CONFUSE_BUILDER) --cflags)
	LIBS += $(shell $(CONFUSE_BUILDER) --libs)
endif

include ../../Makefile.modules

=== modules/cpl_c/Makefile ===
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=cpl_c.so

ifeq ($(CROSS_COMPILE),)
XML2CFG := $(shell which xml2-config)
endif

ifneq ($(XML2CFG),)
	DEFS += $(shell $(XML2CFG) --cflags)
	LIBS += $(shell $(XML2CFG) --libs)
else
	DEFS += -I$(SYSBASE)/include/libxml2 \
			-I$(LOCALBASE)/include/libxml2 \
			-I$(LOCALBASE)/include
	LIBS += -L$(SYSBASE)/include/lib \
			-L$(LOCALBASE)/lib -lxml2
endif

include ../../Makefile.modules

=== modules/db_http/Makefile ===
# $Id: Makefile 5862 2009-07-15 10:06:05Z andreidragus $
#
# HTTP implementation for DB API.
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs

auto_gen=
NAME=db_http.so

ifeq ($(CROSS_COMPILE),)
HAS_BUILDER := $(shell if which curl-config >/dev/null 2>/dev/null;then echo YES; fi)

ifeq ($(HAS_BUILDER),YES)
	# use autodetection
	DEFS += $(shell curl-config --cflags)
	LIBS += $(shell curl-config --libs)
else
	LIBS += -lcurl
endif
else
	# use standard know paths
	DEFS +=-I$(LOCALBASE)/include
	LIBS +=-L$(LOCALBASE)/lib -lcurl
endif 

LIBS += -dl -Bsymbolic

include ../../Makefile.modules

=== modules/db_mysql/Makefile ===
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=db_mysql.so

SCRIPTS_DIR?=../../scripts/

# set CROSS_COMPILE to true if you want to skip
# the autodetection
# CROSS_COMPILE=true

ifeq ($(CROSS_COMPILE),)
HAS_MYSQLCFG := $(shell if which mysql_config >/dev/null 2>/dev/null;then echo YES; fi)
endif

ifeq ($(HAS_MYSQLCFG),YES)

	# use autodetection
	DEFS += $(shell mysql_config --include)
	LIBS += $(shell mysql_config --libs)
	LIBS += -dl -Bsymbolic

else

	# use standard know paths
	# mysql.h locations (freebsd,openbsd  solaris)
	DEFS +=-I$(LOCALBASE)/include -I$(LOCALBASE)/mysql/include/mysql \
		   -I$(LOCALBASE)/mysql/include -I$(SYSBASE)/include

	# libmysqlclient locations on RH/Suse, Solaris /OpenBSD, FreeBSD
	# (Debian does the right thing and puts it in /usr/lib)
	LIBS += -L$(SYSBASE)/lib/mysql -L$(LOCALBASE)/lib -L$(LOCALBASE)/lib/mysql \
		-L$(LOCALBASE)/mysql/lib/mysql/ \
		-L$(LOCALBASE)/mysql/lib \
		-L$(SYSBASE)/lib64/mysql \
		-lm -lmysqlclient -lz
	LIBS += -dl -Bsymbolic

endif

include ../../Makefile.modules

install_module_dbschema:
	mkdir -p $(data_prefix)/$(data_dir)/mysql ; \
	for FILE in $(wildcard $(SCRIPTS_DIR)/mysql/*) ; do \
		if [ -f $$FILE ] ; then \
		$(INSTALL_TOUCH) $$FILE \
			$(data_prefix)/$(data_dir)/mysql/`basename "$$FILE"` ; \
		$(INSTALL_CFG) $$FILE \
			$(data_prefix)/$(data_dir)/mysql/`basename "$$FILE"` ; \
		fi ;\
	done ; \

=== modules/db_oracle/Makefile ===
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=db_oracle.so

SCRIPTS_DIR?=../../scripts/
UTILS_DIR?=../../utils/

# can be defined for non standard placement of oracle so's
ORAPATH=

# use for multiple client sdk version install
ifneq ($(ORAVERSION),)
    ORAVERDIR=/$(ORAVERSION)
endif

# use include/library path's for full client installation
ifneq ($(ORAHOME),)
    DEFS +=-I$(ORAHOME)/include
    LIBS +=-L$(ORAHOME)/lib
ifeq ($(ORAPATH),)
    ORAPATH=$(ORAHOME)/lib
endif
else
# use standard know paths oci.h locations (linux)
DEFS +=-I$(LOCALBASE)/include/oracle$(ORAVERDIR) \
    -I$(SYSBASE)/include/oracle$(ORAVERDIR)
endif

# search 'so' path if it non standard (possible liboclntsh locations on linux)
ifeq ($(ORAPATH),)
    ORAPATH := $(shell [ -f $(LOCALBASE)/lib64/oracle$(ORAVERDIR)/libocci.so ] && \
	    echo $(LOCALBASE)/lib64/oracle$(ORAVERDIR) )
endif
ifeq ($(ORAPATH),)
    ORAPATH := $(shell [ -f $(SYSBASE)/lib64/oracle$(ORAVERDIR)/libocci.so ] && \
	    echo $(SYSBASE)/lib64/oracle$(ORAVERDIR) )
endif
ifeq ($(ORAPATH),)
    ORAPATH := $(shell [ -f $(LOCALBASE)/lib64/oracle$(ORAVERDIR)/lib/libocci.so ] && \
	    echo $(LOCALBASE)/lib64/oracle$(ORAVERDIR)/lib )
endif
ifeq ($(ORAPATH),)
    ORAPATH := $(shell [ -f $(SYSBASE)/lib64/oracle$(ORAVERDIR)/lib/libocci.so ] && \
	    echo $(SYSBASE)/lib64/oracle$(ORAVERDIR)/lib )
endif
ifeq ($(ORAPATH),)
    ORAPATH := $(shell [ -f $(LOCALBASE)/lib/oracle$(ORAVERDIR)/libocci.so ] && \
	    echo $(LOCALBASE)/lib/oracle$(ORAVERDIR) )
endif
ifeq ($(ORAPATH),)
    ORAPATH := $(shell [ -f $(SYSBASE)/lib/oracle$(ORAVERDIR)/libocci.so ] && \
	    echo $(SYSBASE)/lib/oracle$(ORAVERDIR) )
endif
ifeq ($(ORAPATH),)
    ORAPATH := $(shell [ -f $(LOCALBASE)/lib/oracle$(ORAVERDIR)/lib/libocci.so ] && \
	    echo $(LOCALBASE)/lib/oracle$(ORAVERDIR)/lib )
endif
ifeq ($(ORAPATH),)
    ORAPATH := $(shell [ -f $(SYSBASE)/lib/oracle$(ORAVERDIR)/lib/libocci.so ] && \
	    echo $(SYSBASE)/lib/oracle$(ORAVERDIR)/lib )
endif

ifneq ($(ORAPATH),)
    LIBS +=-L$(ORAPATH)
endif

LIBS +=-locci -lclntsh

#DEFS+=-DLINUX -D_GNU_SOURCE -D_REENTRANT
#LIBS+=-lpthread

ifneq ($(ORAPATH),)
    LIBS +=-Wl,-rpath $(ORAPATH)
endif

include ../../Makefile.modules

.PHONY: $(UTILS_DIR)/db_oracle/opensips_orasel
$(UTILS_DIR)/db_oracle/opensips_orasel:
	make -C $(UTILS_DIR)/db_oracle

install_module_custom: $(bin_prefix)/$(bin_dir) $(UTILS_DIR)/db_oracle/opensips_orasel
	$(INSTALL_BIN) $(UTILS_DIR)/db_oracle/opensips_orasel $(bin_prefix)/$(bin_dir) ; \

install_module_schema:
	mkdir -p $(data_prefix)/$(data_dir)/oracle ; \
	for FILE in $(wildcard $(SCRIPTS_DIR)/oracle/*) ; do \
		if [ -f $$FILE ] ; then \
		$(INSTALL_TOUCH) $$FILE \
			$(data_prefix)/$(data_dir)/oracle/`basename "$$FILE"` ; \
		$(INSTALL_CFG) $$FILE \
			$(data_prefix)/$(data_dir)/oracle/`basename "$$FILE"` ; \
		fi ;\
	done ; \
	mkdir -p $(data_prefix)/$(data_dir)/oracle/inc ; \
	for FILE in $(wildcard $(SCRIPTS_DIR)/oracle/inc/*) ; do \
		if [ -f $$FILE ] ; then \
		$(INSTALL_TOUCH) $$FILE \
			$(data_prefix)/$(data_dir)/oracle/inc/`basename "$$FILE"` ; \
		$(INSTALL_CFG) $$FILE \
			$(data_prefix)/$(data_dir)/oracle/inc/`basename "$$FILE"` ; \
		fi ;\
	done ; \
	mkdir -p $(data_prefix)/$(data_dir)/oracle/admin ; \
	for FILE in $(wildcard $(SCRIPTS_DIR)/oracle/admin/*) ; do \
		if [ -f $$FILE ] ; then \
		$(INSTALL_TOUCH) $$FILE \
			$(data_prefix)/$(data_dir)/oracle/admin/`basename "$$FILE"` ; \
		$(INSTALL_CFG) $$FILE \
			$(data_prefix)/$(data_dir)/oracle/admin/`basename "$$FILE"` ; \
		fi ;\
	done ; \

=== modules/db_postgres/Makefile ===
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=db_postgres.so

SCRIPTS_DIR?=../../scripts/

# set CROSS_COMPILE to true if you want to skip
# the autodetection
# CROSS_COMPILE=true

ifeq ($(CROSS_COMPILE),)
HAS_PGCFG := $(shell if which pg_config >/dev/null 2>/dev/null;then echo YES; fi)
endif


ifeq ($(HAS_PGCFG),YES)

	# use autodetection
	DEFS += -I$(shell pg_config --includedir)
	LIBS += -L$(shell pg_config --libdir) -lpq

else

	# use standard know paths
	# libpq-fe.h locations
	DEFS +=-I$(LOCALBASE)/include -I$(LOCALBASE)/pgsql/include \
		 -I$(SYSBASE)/include/pgsql -I$(SYSBASE)/include/postgresql \
		 -I$(SYSBASE)/include/postgresql/8.0 -I$(SYSBASE)/postgres/8.4/include
	LIBS += -L$(LOCALBASE)/lib -L$(LOCALBASE)/pgsql/lib -L$(LOCALBASE)/lib/pgsql \
		 -lpq

endif

include ../../Makefile.modules

install_module_dbschema:
	mkdir -p $(data_prefix)/$(data_dir)/postgres ; \
	for FILE in $(wildcard $(SCRIPTS_DIR)/postgres/*) ; do \
		if [ -f $$FILE ] ; then \
		$(INSTALL_TOUCH) $$FILE \
			$(data_prefix)/$(data_dir)/postgres/`basename "$$FILE"` ; \
		$(INSTALL_CFG) $$FILE \
			$(data_prefix)/$(data_dir)/postgres/`basename "$$FILE"` ; \
		fi ;\
	done ; \

=== modules/dialplan/Makefile ===
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=dialplan.so

# set CROSS_COMPILE to true if you want to skip
# the autodetection
# CROSS_COMPILE=true

ifeq ($(CROSS_COMPILE),)
PCRE_BUILDER := $(shell \
	if which pcre-config >/dev/null 2>/dev/null; then \
		echo 'pcre-config'; \
	elif pkg-config --exists libcre; then \
		echo 'pkg-config libpcre'; \
	fi)
endif

ifeq ($(PCRE_BUILDER),)
	DEFS += -I$(SYSBASE)/include \
			-I$(LOCALBASE)/include
	LIBS += -L$(SYSBASE)/lib \
			-L$(LOCALBASE)/lib -lpcre
else
	DEFS += $(shell $(PCRE_BUILDER) --cflags)
	LIBS += $(shell $(PCRE_BUILDER) --libs)
endif

include ../../Makefile.modules

=== modules/event_kafka/Makefile ===
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=event_kafka.so

ifeq ($(CROSS_COMPILE),)
KAFKA_BUILDER := $(shell \
	if pkg-config --exists rdkafka; then \
		echo 'pkg-config rdkafka'; \
	fi)

ifneq ($(KAFKA_BUILDER),)
	DEFS += $(shell $(KAFKA_BUILDER) --cflags)
	LIBS += $(shell $(KAFKA_BUILDER) --libs)
endif
else
	DEFS+=-I$(LOCALBASE)/include
	LIBS+=-L$(LOCALBASE)/lib -lrdkafka
endif

include ../../Makefile.modules

=== modules/event_rabbitmq/Makefile ===
# $Id: Makefile 5901 2009-07-21 07:45:05Z bogdan_iancu $
#
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=event_rabbitmq.so

ifeq ($(CROSS_COMPILE),)
RABBITMQ_BUILDER := $(shell \
	if pkg-config --exists librabbitmq; then \
		echo 'pkg-config librabbitmq'; \
	fi)

ifneq ($(RABBITMQ_BUILDER),)
	DEFS += $(shell $(RABBITMQ_BUILDER) --cflags)
	LIBS += $(shell $(RABBITMQ_BUILDER) --libs)
endif
else
	DEFS += -I$(LOCALBASE)/include
	LIBS += -L$(LOCALBASE)/lib -lrabbitmq
endif

include ../../Makefile.modules

=== packaging/debian/changelog ===
opensips (3.6.2-1) stable; urgency=low

  * Minor Public Release.

 -- Liviu Chircu <liviu@opensips.org>  Wed, 22 Oct 2025 18:06:07 +0300

opensips (3.6.1-1) stable; urgency=low

  * Minor Public Release.

 -- Liviu Chircu <liviu@opensips.org>  Wed, 20 Aug 2025 17:09:31 +0300

opensips (3.6.0-1) stable; urgency=low

  * Minor Public Release.

 -- Liviu Chircu <liviu@opensips.org>  Wed, 23 Jul 2025 16:04:18 +0300

opensips (3.6.0-beta-1) beta; urgency=low

  * Major Public Release.

 -- Liviu Chircu <liviu@opensips.org>  Wed, 21 May 2025 16:43:59 +0300

opensips (3.6.0-dev-1) beta; urgency=low

  * Development Build.

 -- Razvan Crainea <razvan@opensips.org>  Mon, 27 May 2024 16:00:00 +0300

opensips (3.5.0-dev-1) beta; urgency=low

  * Development Build.

 -- Nick Altmann <nick@altmann.pro>  Thu, 18 May 2023 16:00:00 +0300

opensips (3.4.0-1) beta; urgency=low

  * Major Public Release.

 -- Liviu Chircu <liviu@opensips.org>  Wed, 17 May 2023 16:06:38 +0300

opensips (3.3.0-1) stable; urgency=low

  * Minor Public Release.

 -- Razvan Crainea <razvan@opensips.org>  Mon, 17 Aug 2021 00:00:00 +0300

opensips (3.2.0-1) stable; urgency=low

  * Minor Public Release.

 -- Razvan Crainea <razvan@opensips.org>  Wed, 21 Jul 2021 15:07:53 +0300

opensips (3.1.0-1) stable; urgency=low

  * Minor Public Release.

 -- Razvan Crainea <razvan@opensips.org>  Tue, 16 Apr 2019 21:15:04 +0300

opensips (3.0.0-1) unstable; urgency=medium

  * Local package

 -- Razvan Crainea <razvan@opensips.org>  Fri, 14 Apr 2017 12:20:44 +0200

=== PKGBUILD ===
# Maintainer: Sergej Pupykin <pupykin.s+arch@gmail.com>

pkgname=opensips
pkgver=3.6.2
pkgrel=1
pkgdesc="An Open Source SIP Server able to act as a SIP proxy, registrar, location server, redirect server ..."
url="https://www.opensips.org"
depends=('gcc-libs')
makedepends=('libldap' 'libmariadbclient' 'libmicrohttpd' 'libxml2' 'libxslt'
             'lynx' 'openssl' 'postgresql-libs' 'unixodbc')
optdepends=('curl: db_http module'
            'libldap: ldap module'
            'libmicrohttpd: httpd module'
            'libxml2: presence module'
            'mariadb-libs: db_mysql module'
            'openssl: tls_openssl module'
            'postgresql-libs'
            'unixodbc: db_unixodbc module')
backup=("etc/opensips/opensips.cfg"
	"etc/opensips/osipsconsolerc"
	"etc/opensips/opensipsctlrc")
arch=('x86_64')
license=('GPL')
options=('!emptydirs' '!makeflags')
source=(https://opensips.org/pub/opensips/${pkgver}/opensips-${pkgver}.tar.gz
	opensips.service)
sha256sums=('5f85ff2fbdf500e3d739c6fffd29483742f086042503d89202986fa73eee4653'
            'c2fec4be085b108db10834fa9832e98d696c2de6408f85f96cf89c13bf6be819')

_modules="db_http db_mysql db_postgres db_unixodbc h350 httpd ldap presence presence_xml proto_tls tls_mgm tls_openssl tm rr"

build() {
  cd "$srcdir"/$pkgname-$pkgver/

  make \
	include_modules="${_modules}" bin_dir=bin/ cfg_target=/etc/$pkgname/ \
	LIBDIR=lib PREFIX=/usr
}

package() {
  cd "$srcdir"/$pkgname-$pkgver/

  make \
	include_modules="${_modules}" bin_dir=bin/ cfg_target=/etc/$pkgname/ cfg_prefix="$pkgdir" \
	BASEDIR="$pkgdir" PREFIX=/usr LIBDIR=lib install

  install -Dm0644 "$srcdir"/$pkgname.service "$pkgdir"/usr/lib/systemd/system/$pkgname.service
}
